TitleBar (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client

## Class TitleBar

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.templates.client.TitleBar

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class TitleBar
      extends com.google.gwt.user.client.ui.Composite

  `TitleBar` class is the top top bar component of the UI
  Version:
    september 2009 (0.1)
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitleBar(Presenter c)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearEditedOnBy()`
    `com.google.gwt.user.client.Command` | `getNullCommand()` temporary command
    `void` | `hideNextButton()` Hide the next botton in the UI
    `void` | `hidePrevButton()` Hide the previous botton in the UI
    `void` | `setEditedOnBy(Date date, String username)` changes the template name label in the UI
    `void` | `setPageDisplayer(int currentPage, int totalPages)` changes the pages label in the UI : e.g.
    `void` | `setTemplateName(String name)` changes the template name label in the UI
    `void` | `showNextButton()` Shows the next botton in the UI
    `void` | `showPrevButton()` Shows the previous botton in the UI

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TitleBar

          public TitleBar(Presenter c)

      Constructor
      Parameters:
        `c` - the controller instance for this UI component

  - ### Method Detail

    - #### setPageDisplayer

          public void setPageDisplayer(int currentPage,
                              int totalPages)

      changes the pages label in the UI : e.g. Page x of y
      Parameters:
        `currentPage` - .
        `totalPages` - .

    - #### setTemplateName

          public void setTemplateName(String name)

      changes the template name label in the UI
      Parameters:
        `name` - .

    - #### clearEditedOnBy

          public void clearEditedOnBy()

    - #### setEditedOnBy

          public void setEditedOnBy(Date date,
                           String username)

      changes the template name label in the UI
      Parameters:
        `name` - .

    - #### showPrevButton

          public void showPrevButton()

      Shows the previous botton in the UI

    - #### showNextButton

          public void showNextButton()

      Shows the next botton in the UI

    - #### hidePrevButton

          public void hidePrevButton()

      Hide the previous botton in the UI

    - #### hideNextButton

          public void hideNextButton()

      Hide the next botton in the UI

    - #### getNullCommand

          public com.google.gwt.user.client.Command getNullCommand()

      temporary command
      Returns:
        the command instance

Copyright © 2013. All Rights Reserved.